<!--     草稿箱页面      -->

<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    okText="保存"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭"
    footer=""
  >
    <!-- 邱东宝 增加modal按钮调整到顶部 1-->
   <QcSsgqzysytdqkList5 style="margin-top: 20px" ></QcSsgqzysytdqkList5>
  </j-modal>
</template>

<script>

import QcSsgqzysytdqkForm from '../../modules/QcSsgqzysytdqkForm';
import Map from "@views/map/components/Map";
import QcSsgqzysytdqkList5 from "@views/sydwqcsb/sydwdwzc/QcSsgqzysytdqkList5";

export default {
  name: 'QcSsgqzysytdqkModal3',
  components: {
    QcSsgqzysytdqkForm,
    QcSsgqzysytdqkList5,
    Map
  },
  props: {
    toDk: {}
  },
  data() {
    return {
      title: '',
      width: 896,
      visible: false,
      disableSubmit: false,
      disa: false,
      model: {
        lng: '',
        lat: ''
      },
      lats: '',
      lngs: ''
    }
  },
  watch: {},
  methods: {
    getposition(val) {
      console.log('传对象', val)
      this.model.lng = val.lng;
      this.model.lat = val.lat;
    },
    add1() {
      this.visible = true
    },
    add() {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.add();
      })
    },
    edit(record) {
      /*   this.lats=record.lat;
         this.lngs=record.lng
         console.log(6666666666666,this.lats,this.lngs)*/
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.edit(record);
      })
    },

    close() {
      this.$emit('close');
      this.visible = false;
    },
    handleOk() {
      this.disa = true
      this.$refs.realForm.submitForm();
      this.disa = false
    },
    stagInfo(){
      this.$refs.realForm.stagForm();
    },
    submitCallback() {
      this.$emit('ok');
      this.visible = false;
    },
    handleCancel() {
      this.$emit('ok');
      this.close()
    }
  }
}
</script>